For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organizations

Get a list of Organizations where the authenticated user is admin

get
Required scopes
This endpoint requires the following scopes:
  • : Read organization data
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Responses
200

OK

get/v2/organizations
GET /v2/organizations HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "organizations": [
    {
      "frontendDomain": "university.badges.example.com",
      "id": "67ae3efe2ee1d96b56fc1957",
      "name": "University of Credentials",
      "ob3Enabled": false,
      "profile": {
        "description": "A university that issues credentials.",
        "email": "mail@example.com",
        "imageUrl": "https://www.example.com/logo.png",
        "url": "https://www.example.com"
      }
    }
  ]
}

List public issuers for the specified organization with pagination and optional name filtering

get
Authorizations
HTTPRequired
Path parameters
idstringRequired
Query parameters
nameQuerystring · max: 256Optional

Case-insensitive filter for the name of the issuers

numstring · min: 1 · max: 100Optional

Number of items to return per page

Default: 10Example: 10
pagestring · min: 1Optional

Index of the requested page (1-based)

Default: 1Example: 1
Responses
200

OK

get/v2/organizations/{id}/public-issuers
GET /v2/organizations/{id}/public-issuers HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "badgeSkillLinkingPreferences": {
        "indeedRegion": "us",
        "linkMode": "DEFAULT",
        "serverUri": "https://example.com/",
        "type": "TALENT_NEURON"
      },
      "issuerId": "67e9d238c5afe622816febb3",
      "obIssuer": {
        "@context": "text",
        "description": "text",
        "email": "text",
        "extensions": {
          "ANY_ADDITIONAL_PROPERTY": {}
        },
        "id": "text",
        "image": "text",
        "name": "text",
        "url": "text"
      },
      "organizationId": "65e9d238c5afe622816febb3"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "hasNextPage": true,
    "nextLink": "text",
    "pageSize": 10,
    "previousLink": "text",
    "totalCount": 100,
    "totalPages": 6
  }
}

Last updated

Was this helpful?